PUT
/api/v2/referrals/programs/{programId}/risk-policyPUT /api/v2/referrals/programs/{programId}/risk-policy
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| programId (path) | string (uuid) | Yes |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| ExpectedRevision | unknown | Yes | |
| PayoutHoldDays | unknown | Yes | |
| DailyAttributionLimit | unknown | Yes | |
| AutomaticClawbackEnabled | boolean | Yes | |
| Reason | string | Yes | |
| SignupSignalsEnabled | boolean | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| ProgramId | string (uuid) | Yes | |
| Revision | unknown | Yes | |
| PayoutHoldDays | unknown | Yes | |
| DailyAttributionLimit | unknown | Yes | |
| AutomaticClawbackEnabled | boolean | Yes | |
| DayBoundary | string | Yes | |
| SupportedDeliveryModes | array of string | Yes | |
| SignalAvailability | array of ReferralRiskSignalAvailability | Yes | |
| SignupSignalsEnabled | boolean | No |
Example request
curl -X PUT "https://{base_url}/api/v2/referrals/programs/{programId}/risk-policy" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"ExpectedRevision":"…","PayoutHoldDays":"…","DailyAttributionLimit":"…","AutomaticClawbackEnabled":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.